
#ifndef RequestControllerH
#define RequestControllerH

#include "util/Pointers.h"

class RequestController
{
public:
	virtual AgObjectPtr getOriginator()=0;
	virtual int64_t getLockTimeout()=0;
	virtual EvaluatorPtr getEvaluator()=0;

};
#endif
